Update an existing connector (JSON Merge Patch)

Updates an existing connector following JSON Merge Patch (RFC 7396). Only fields present in the request body are updated. Fields absent are unchanged. Optional fields set to null are cleared. Source/sink type and immutable fields (host, port, database, http_url) cannot be modified.

PATCH
/api/v1/connectors/{connector_id}

Path Parameters

connector_id*string

Unique Connector ID

Request Body

application/merge-patch+json

Partial Connector following JSON Merge Patch (RFC 7396)

body*unknown

Response Body

application/json

curl -X PATCH "https://loading/api/v1/connectors/string"
{
  "connector": {
    "id": "string",
    "source": {
      "postgres": {
        "connection": {
          "host": "example.com",
          "port": 5432,
          "user": "string",
          "password": "pa$$word",
          "database": "string",
          "ssl_mode": "Prefer",
          "ssl_cert": "string",
          "ssl_key": "string",
          "ssl_root_cert": "string",
          "max_pool_size": 0,
          "operation_lock_timeout_seconds": 0
        },
        "replication_type": {
          "logical_replication": {
            "retry_window_seconds": 0,
            "skip_snapshots": false
          }
        },
        "parallel_snapshots_enabled": true,
        "partitions_as_root": false,
        "catalog": {}
      }
    },
    "sink": {
      "postgres": {
        "connection": {
          "host": "example.com",
          "port": 5432,
          "user": "string",
          "password": "pa$$word",
          "database": "string",
          "ssl_mode": "Prefer",
          "ssl_cert": "string",
          "ssl_key": "string",
          "ssl_root_cert": "string",
          "max_pool_size": 0,
          "operation_lock_timeout_seconds": 0
        },
        "target_schema": "string",
        "migration_strategy": {}
      }
    },
    "buffer": {},
    "limits": {},
    "disabled": false,
    "schedule": {},
    "name": "string"
  },
  "status": {},
  "run_id": "string",
  "created_at": "string"
}
Empty
Empty
Empty
Empty